Bug 1573146 - Transcation error on performing yum update from 6.3.1
Summary: Transcation error on performing yum update from 6.3.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.4.0
Assignee: Eric Helms
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 10:45 UTC by Sanket Jagtap
Modified: 2019-11-05 23:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:29:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sanket Jagtap 2018-04-30 10:45:08 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Yum reports transcation error while performing yum update on 6.3.1 box 

How reproducible:
Always

Steps to Reproduce:
1. Set the 6.4.0 snap1 repo 
2. perform yum update
3.

Actual results:
Running transaction check
ERROR with transaction check vs depsolve:
/usr/bin/ruby193-ruby is needed by (installed) ruby193-rubygem-archive-tar-minitar-0.5.2-9.el7.noarch
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2018-04-30.04-16.RtBZDI.yumtx


Expected results:
Yum update should be successsful

Additional info:

Comment 3 Sanket Jagtap 2018-05-07 05:31:32 UTC
Build : Satellite 6.4.0 snap2

========== SATELLITE UPGRADE =================

Time taken for satellite packages update- 0:18:02
Time taken for Satellite Upgrade - 0:19:56
The Satellite is upgraded from 6.3.1 to 6.4.0

Comment 4 Nick Strugnell 2018-07-19 11:00:05 UTC
Workaround:

When doing the upgrade, use:

yum update satellite foreman-proxy-content

Comment 5 Bryan Kearney 2018-10-16 19:29:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.